Subject: Re: bug#24724: 25.1; Arabic Printing Problem

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Oct 2016 18:44:53 +0300

> From: Waleed Yousef <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 18 Oct 2016 17:17:04 +0000
> 
> I just want to be able to print Arabic buffers to pdf or to printer. I
> searched alot and then found the .emacs snippet that I included in my
> email. If there is another easier way that will be great.

So you are saying that djvmono.bdf font (or maybe BDF fonts in
general) make the bidirectional text look in the correct order, while
other fonts don't?  My guess would be that Ghostscript is reordering
the text, I see a bidi module in its sources.  So I think the key to
this puzzle is to use Ghostscript.